Subject: IETF registration fee increase from 2015

From: IETF Chair <[email-masked]>
Date: Wed, 1 Oct 2014 17:43:28 +0300

In preparing the final budget for 2015 and drafts for 2016 and beyond,
we face continuing rising meeting and other costs and no corresponding
increase in meeting registration fees.  In fact, the meeting
registration fee has not changed in 4 years.

Therefore, the IAOC is proposing to raise the meeting registration fee
by $50 per meeting starting with the March meeting in Dallas as
follows:

Early Bird Fee              $650 to $700, or 8%
Late Fee                        $800 to $850
Day Passes	                   $350 to $400
Full time Students        $150 - $175 

More details below, but we seek community feedback before doing this.

The cause for the increase is a trend in rising costs.  IETF costs relate to the 
meetings, support services (secretariat, IT), RFC Editor, and various other 
items such as tool development. IETF is funded through the meeting fees, as 
well as significant contributions through sponsors and ISOC.

For the last 4 years, 2011 - 2014, the Registration Fee has been unchanged 
at $650, and for the period 2008 through 2010 the Registration Fee was $635.

Over the period 2007 through 2014 the Registration Fee increased from $600 
to $650, 8.3% over the eight years.  During that time Expenses, including
meetings, RFC Editor, Secretariat, IASA, and others, increased 32%.  In 2015
Expenses will increase 6% over the 2014 forecast. 

As a percentage contribution to the budget, registration revenue has declined
from 51% in 2007 to 41% in 2014.  Without a registration fee increase in 
2015, that would drop to 36% of the budget.  Even with the fee increase of 
$50 in 2015, it becomes 39%.

Since the implementation of IASA in 2005, the IAOC has sought to provide
support services of high quality and value through a “regularization” of 
contractual relationship with our vendors in all the above categories.  As you 
know, we submit statements of work to the community for review and do 
competitive Requests for Proposals. Our services continue to change, and in 
some cases expand, such as increasing the number of editors to handle the 
roughly 340 RFCs per year, outsourcing the NOC, and remote participation 
services. 

The suggested registration fee increase is sufficient to re-balance the budget 
for 2015. Unfortunately, the cost of hotel facilities and other services continues 
to grow slowly. Without further actions, additional increases may be necessary, 
and we project a $20 increase for 2016. The IAOC has taken on a task to 
determine whether we can reduce and/or prioritize our costs so that the trend 
can be minimized. No decisions have been taken about meeting fees beyond 
2015, and they will depend on the success of the IAOC in its task.

The draft budget, registration fee history, expense history and major expense 
trends can be found here: <https://iaoc.ietf.org/2015-budget.html>.

Thanks for your consideration of this and your feedback. The next IAOC meeting 
is October 9th, and if possible, we would prefer to receive feedback by then

Jari Arkko, IETF Chair
Chris Griffiths, IAOC Chair

---

From: Marc Blanchet <[email-masked]>
Date: Wed, 1 Oct 2014 11:16:46 -0400

fine by me. please proceed. Marc.

---

From: Dave Crocker <[email-masked]>
Date: Wed, 01 Oct 2014 08:35:48 -0700

> Early Bird Fee              $650 to $700, or 8%
...
> The cause for the increase is a trend in rising costs.  

Merely as a matter of normal due diligence, I suggest having the
proposal include a comparison against industry-wide meeting cost trends,
so that the IETF increase can be considered in terms of participant fees
at similar types of meetings for other groups.

In other words, does the increase for IETF attendees match the kinds of
increases being seen at other meetings?

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Ray Pelletier <[email-masked]>
Date: Wed, 1 Oct 2014 11:54:25 -0400

Dave,

> increases being seen at other meetings?

This would certainly be an interesting exercise, but not particularly relevant.  

Registration revenue is but one part of the income structure that includes
sponsorships, hotel commissions, and Internet Society contributions to fund 
meetings, RFC Services, the Secretariat, IASA, tools maintenance and more.

Total expenses over the last 8 years have increased 32%, registration fees 8%.
Sponsorships and ISOC are not bottomless wells from which we can draw 
cash at will.  

Other organizations are not structured as we are.  It would not be an 
apples to apples comparison.

Just an additional note that the IAOC and ISOC are reviewing ways to 
achieve IETF sustainability, which I hope will lead to a diversification of 
income streams so that the IETF is not totally dependent on sponsors, ISOC
and meeting attendees.

Best
Ray

---

From: Eric Burger <[email-masked]>
Date: Wed, 1 Oct 2014 12:44:12 -0400

Dave -
Feel free to run the analysis. I’m sure that the regular IEEE, ITU-T, and W3C fees have been going up significantly more than 2% per year, while ours have been 0% per year. Hotel and travel costs are hotel and travel costs irrespective of organization. While we regularly whine about venue, our choices have historically not been bad compared to other, international SDOs.

You may recall I wanted to have at least a 1% increase in the meeting fees year-over-year so that we would not have to have larger step functions. I was overruled.

I would not want to waste our money on having Ray do the analysis, as I would rather our money go towards the meetings, tools, and the RFC Editor. As Ray points out, while it would make for great advertising to show how well we have held costs low for participants, it will not affect the result announced here.
- Eric

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 1 Oct 2014 17:50:34 +0100

The only observation I have on this is that the flat increase across all
categories except student feels uneven.

Could increase the late fee more and not increase the day fee as much.

Not a big deal and so long as the IAOC has thought about it, I'm not bothered.

Adrian

> -----Original Message-----
> From: ietf [mailto:[email-masked]] On Behalf Of IETF Chair
> Sent: 01 October 2014 15:43
> To: IETF Announcement List
> Cc: IETF; Chris Griffiths
> Subject: IETF registration fee increase from 2015
> 
> 
> support services of high quality and value through a "regularization" of

---

From: Mary Barnes <[email-masked]>
Date: Wed, 1 Oct 2014 11:58:53 -0500

On Wed, Oct 1, 2014 at 11:44 AM, Eric Burger <[email-masked]>
wrote:

> Dave -
> Feel free to run the analysis. I’m sure that the regular IEEE, ITU-T, and
> W3C fees have been going up significantly more than 2% per year, while ours
> have been 0% per year.

[MB] I just registered for a W3C meeting and that was $75.00/day and they
will be providing me a gluten-free lunch.  So, that would be $600 for 6
meeting days. [/MB]

> Hotel and travel costs are hotel and travel costs irrespective of
> organization. While we regularly whine about venue, our choices have
> historically not been bad compared to other, international SDOs.
>
> You may recall I wanted to have at least a 1% increase in the meeting fees
> year-over-year so that we would not have to have larger step functions. I
> was overruled.
>
> I would not want to waste our money on having Ray do the analysis, as I
> would rather our money go towards the meetings, tools, and the RFC Editor.
> As Ray points out, while it would make for great advertising to show how
> well we have held costs low for participants, it will not affect the result
> announced here.
> - Eric
>

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 1 Oct 2014 13:20:40 -0400

> will be providing me a gluten-free lunch.  So, that would be $600 for 6

As Ray pointed out, however, the fruit:vegetable comparison issues
show up pretty quickly, even with other SDOs working in similar areas.
W3C, for example, is a membership organization, and so it not only has
the meeting fees but also the corporate fees (which, for US firms, is
either $2250, $7900, or $68500 per year).  

(I have no opinion on the fee increase.  I just don't think
comparisons with other orgs are too helpful here.  I'd be more
influenced by value for money arguments; I haven't seen one yet.)

A

-- 
Andrew Sullivan
[email-masked]

---

From: Mary Barnes <[email-masked]>
Date: Wed, 1 Oct 2014 13:25:01 -0500

> either $2250, $7900, or $68500 per year).
[MB] Actually, I'm attending the meetings as an observer, although, I think
I'm now legally an individual participant (since I own no IPR, those terms
were easy to agree with).  That's something most other membership based
SDOs don't allow.  In these roles, I'm not required to pay a membership fee
in order to attend meetings. [/MB]

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 1 Oct 2014 14:47:27 -0400

On Wed, Oct 01, 2014 at 01:25:01PM -0500, Mary Barnes wrote:
> [MB] Actually, I'm attending the meetings as an observer

Yes, of course, but _your_ status isn't the only thing relevant here.
The W3C's revenue model is completely different to ours, and I think
that was part of Ray's point.  (I don't want to put words in his
mouth, but in any case it seems important to me for this
conversation.)

For instance, if the W3C manages to get only one for-profit company
member with 50,000,000 USD in annual gross revenue, it's as if we
managed to get nearly 100 additional full-paying attendees at a
meeting (or, perhaps, about 33 fully-paid attendees at three
meetings).  Under the old price, it's instead more than 100 additional
attendees.  That's not an insignificant difference -- particularly
when we take into consideration the effects of meeting sites on those
numbers.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 02 Oct 2014 08:14:13 +1300

>>> The cause for the increase is a trend in rising costs.  

It's the same for everyone, even though apples-to-apples
comparisons are tricky. For example, an increasing number of
2nd rank academic conferences essentially charge page fees
for accepted papers (with conference attendance thrown in as
a side benefit). How would people like it if the IETF charged
page fees for I-Ds?

Frankly I don't see any alternative to this increase. It's
noise compared to increases in hotel bills and air fares.

   Brian

---

From: Melinda Shore <[email-masked]>
Date: Wed, 01 Oct 2014 11:16:23 -0800

> noise compared to increases in hotel bills and air fares.

Right - I'm occasionally self-funded and personally, this has
absolutely no impact on my likelihood to attend.

Melinda

---

From: Eric Burger <[email-masked]>
Date: Wed, 1 Oct 2014 15:30:48 -0400

On Oct 1, 2014, at 2:25 PM, Mary Barnes <[email-masked]> wrote:
> On Wed, Oct 1, 2014 at 12:20 PM, Andrew Sullivan <[email-masked]> wrote:
> [MB] Actually, I'm attending the meetings as an observer, although, I think I'm now legally an individual participant (since I own no IPR, those terms were easy to agree with).  That's something most other membership based SDOs don't allow.  In these roles, I'm not required to pay a membership fee in order to attend meetings. [/MB] 

The equivalent would be if we let you come to an IETF meeting where you would not be allowed to talk or contribute to consensus. Remember, W3C is a membership organization, and consensus is (when things go south) by member (corporate) vote.

---

From: Mary Barnes <[email-masked]>
Date: Wed, 1 Oct 2014 16:36:18 -0500

On Wed, Oct 1, 2014 at 2:30 PM, Eric Burger <[email-masked]>
wrote:

> [MB] Actually, I'm attending the meetings as an observer, although, I
> think I'm now legally an individual participant (since I own no IPR, those
> terms were easy to agree with).  That's something most other membership
> based SDOs don't allow.  In these roles, I'm not required to pay a
> membership fee in order to attend meetings. [/MB]
>
>
> The equivalent would be if we let you come to an IETF meeting where you
> would not be allowed to talk or contribute to consensus.
>
[MB] In the vast majority of WG sessions, that seems to be what the
majority of participants do. Many come to IETF because it's an optimal way
to get the information they need to do their jobs and to network.
 [/MB]

> Remember, W3C is a membership organization, and consensus is (when things
> go south) by member (corporate) vote.
>
[MB] You're the one that brought W3C into this thread ;) I responded based
on my own experience that it is indeed much less expensive for me to go to
a W3C meeting to achieve the objectives for my job. [/MB]

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 1 Oct 2014 20:26:34 -0400

Actually bringing up W3C is good.

Now I know how to pitch going to IETF 81

On Wed, Oct 1, 2014 at 5:36 PM, Mary Barnes <[email-masked]> wrote:
> [MB] In the vast majority of WG sessions, that seems to be what the majority
> of participants do. Many come to IETF because it's an optimal way to get the
> information they need to do their jobs and to network.
>  [/MB]
>
>>
> on my own experience that it is indeed much less expensive for me to go to a
> W3C meeting to achieve the objectives for my job. [/MB]
>

---

From: Avri Doria <[email-masked]>
Date: Wed, 01 Oct 2014 23:50:23 -0400

Hi,

Ouch!

Doesn't this move the IETF a bit further along the scale of meetings
that can only be afforded by corporates and rich people.

At some point, the openness of a task force, or other organizational
entity, depends on its cost.

Isn't the Internet Society able to adequately support the IETF?  I
thought that was one of its primary missions.

Personally I think fees should go down and not up.

avri

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 2 Oct 2014 10:44:50 +0200

> Early Bird Fee              $650 to $700, or 8%

As Avri said, wrong direction.

However, this increase is in the noise with respect to the changing exchange rates.
(I’d love to prepay for three meetings in advance at a time the exchange rate is more reasonable…)

More importantly, this increase is in the noise with respect to total meeting attendance costs.
And this is where more attention is required.
With Hawaii coming up, I don’t need to belabor the point.
It is also hard to belabor because we don’t really have data.
Clearly, Minneapolis, Berlin, Prague etc. were inexpensive, but we’d need something like mnot’s travel distance chart (or, better, airline prices at the respective season) to understand this in a more reasonable, inclusive way.

So my summary is:
— let this one through,
— but don’t stop thinking about we can avoid this becoming a never-ending ratchet;
— but more importantly invest some more energy in containing the explosion of total meeting attendance cost.

Grüße, Carsten

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 2 Oct 2014 13:09:37 +0200

I think we should increase the participation  fees on companies also.  If
company X is authoring 5 IETF-drafts with same individual author, I think
they should pay more money than a company having two IETF-drafts with same
individual author. Therefore, no extra payment on individuals that author
more drafts but extra payments from their companies, otherwise their name
should not be part of the first page of the draft/RFC.

On Wednesday, October 1, 2014, Ray Pelletier wrote:

> Dave,
>
> On Oct 1, 2014, at 11:35 AM, Dave Crocker <[email-masked] <javascript:;>>
> wrote:
>

It is ok as it is only 50. However, it should be considered as contribution
fees also. So we should not say registration fees only.

> > at similar types of meetings for other groups.

I don't compare others fees with IETF fees because their businesses and
policies are different.

> > increases being seen at other meetings?

I think the fees are not attendees fees but contribution fees that includes
attendance, participation, services, etc.

> Sponsorships and ISOC are not bottomless wells from which we can draw

There should be a cost for presentation fees. Many participants want to
present and the slots are used without payment that is not fair. I am
paying same amount but some have taken more WG time in presenting.  If one
wants to talk or ask that must be free but presenting should not be free
especially if it is marketing for the authors or their companies
activities.

> apples to apples comparison.

Agree. But many companies are participating in IETF without they paying any
fees. We need to charge some companies some money, they use the IETF to
market themselves, through RFCs so we should charge them money per RFC, if
they don't pay we should remove their name from the first page of the RFC,
and only leave their name in last page as author affiliation.

> income streams so that the IETF is not totally dependent on sponsors, ISOC

Many companies that participate in IETF but pay no money should be paying
in future.

Regards

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 2 Oct 2014 13:24:57 +0200

On Thursday, October 2, 2014, Avri Doria
> Personally I think fees should go down and not up.

 I agree with this, where there should be more alternatives for attendees
and presenters. The cost is down when we pay in advance. It is better for
IETF to get contributions in as soon as possible, so if it makes some
discounts that will encourage many. Furthermore, companies should pay as
long their name are on the RFCs.

Now payments. It is only two options to pay if we exclude the option to
take a full time study. There should be a year contribution fees and a half
year contribution fees option. So for example, if I want to pay in advance
for attending 3 full-meeting, the cost should go down not up.

Regards

AB

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 2 Oct 2014 11:57:12 +0000

So, we should “punish” people/companies that actually contribute by writing drafts?????????????????????????????????????????????????

Regards,

Christer

From: ietf [mailto:[email-masked]] On Behalf Of Abdussalam Baryun
Sent: 2. lokakuuta 2014 14:10
To: Ray Pelletier
Cc: Dave Crocker; Chris Griffiths; IETF Discussion
Subject: Re: IETF registration fee increase from 2015

I think we should increase the participation  fees on companies also.  If company X is authoring 5 IETF-drafts with same individual author, I think they should pay more money than a company having two IETF-drafts with same individual author. Therefore, no extra payment on individuals that author more drafts but extra payments from their companies, otherwise their name should not be part of the first page of the draft/RFC.

>> The cause for the increase is a trend in rising costs.

It is ok as it is only 50. However, it should be considered as contribution fees also. So we should not say registration fees only.

> at similar types of meetings for other groups.

I don't compare others fees with IETF fees because their businesses and policies are different.

> increases being seen at other meetings?

I think the fees are not attendees fees but contribution fees that includes attendance, participation, services, etc.

There should be a cost for presentation fees. Many participants want to present and the slots are used without payment that is not fair. I am paying same amount but some have taken more WG time in presenting.  If one wants to talk or ask that must be free but presenting should not be free especially if it is marketing for the authors or their companies activities.

Agree. But many companies are participating in IETF without they paying any fees. We need to charge some companies some money, they use the IETF to market themselves, through RFCs so we should charge them money per RFC, if they don't pay we should remove their name from the first page of the RFC, and only leave their name in last page as author affiliation.

Many companies that participate in IETF but pay no money should be paying in future.

Regards

AB

Best
Ray

> bbiw.net<http://bbiw.net>
>

---

From: Theodore Ts'o <[email-masked]>
Date: Thu, 2 Oct 2014 08:37:06 -0400

> that can only be afforded by corporates and rich people.

As others have stated, the cost of attending IETF is overwhelming
dominated by (a) the cost of the engineer's (or consultant's) time,
and (b) the cost of airfare and travel.  Even if the person in
questions is a student that doesn't where the value of their time (at
least measured by their professors :-) is close to zero, the travel
expenses overwhelmingly dominates.

Cheers,

						- Ted

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 2 Oct 2014 08:56:59 -0400

+1 to Ted. While I'm not on the IAOC, I am aware of the work they and Ray
do to try to minimize total cost for attendees. The next two meetings after
Hawaii are in relatively lower-cost locations (Dallas and Prague), and they
work hard to get meeting sponsors and otherwise offset meeting costs.
Regarding ISOC, unfortunately they're not a bottomless bank and can't
afford to completely subsidize the IETF. As it is, they provide over $2M a
year. All of the IETF's financials are online if you want to check them
out, and would like to provide suggestions to the IAOC on ways to improve
them.

Cheers,
Andy

---

From: Eric Burger <[email-masked]>
Date: Thu, 2 Oct 2014 08:59:41 -0400

<cynic-on>
Companies would jump at that. This is the model of ETSI. By the way, the more a company pays, the more votes they get. I am sure that is the goal, right? The company with the deepest pockets dictates the standards. That would be awesome! Those of us who are independent consultants, university professors, or from startups might even get to come for free to watch as spectators. I can imagine how this will improve the development of the Internet.
</cynic-on>

NOT

---

From: Eliot Lear <[email-masked]>
Date: Thu, 02 Oct 2014 15:34:04 +0200

A number of companies have*already* thrown in a fair amount of money
without asking for votes.  Cisco is hosting the IETF Hawaii meeting.  I
don't recall anything saying that the company were asking for anything
in return, although I hope it's not too much to ask that the IETF
deliver high quality relevant technical standards, as the organization
has done for several decades...

Eliot

---

From: Melinda Shore <[email-masked]>
Date: Thu, 02 Oct 2014 05:38:24 -0800

On 10/2/14 5:34 AM, Eliot Lear wrote:
> without asking for votes.  Cisco is hosting the IETF Hawaii meeting.
> I don't recall anything saying that the company were asking for
> anything in return, although I hope it's not too much to ask that the
> IETF deliver high quality relevant technical standards, as the
> organization has done for several decades...

Probably the most valuable resource Cisco has provided is some
very capable people, but I hope that there's at least basic
agreement that we don't want to find ourselves in a situation
in which the companies with the deepest pockets have the
most influence over internet standards.  Or rather, it's
probably inevitable that they do, but on balance that's a
negative thing that we struggle against rather than a positive
thing that we seek to perpetuate.

Melinda

---

From: "Jiankang Yao" <[email-masked]>
Date: Thu, 2 Oct 2014 22:04:10 +0800

I totally agree with Avri's point.
IETF claims that IETF trys to avoid his STD activity to be affected by big comapanies.
With the increasing of registration fee year by year (many years ago, it is 550 usd), only IETFers supported by big company can easily
join the meeting. The IETFers who are self-funded or funded by small comany will not easily join the meeting.
For big company, the registration fee whether it is 1000 usd or 700 usd is a small money, but it is a "big" money for individuals or small companies.

so if the registration fee is increased every few years, is it possible that in some days only IETFers supported by big company  or "rich" IETFers can 
join the face-2-face meeting, other "poor" people can only join it remotely?

does it mean that the future IETF STD activity has to be affected by big comanies seriously?

I think that we  need to find other finance resource to support IETF's activity.

For example, put the paypal donation button in every rfc. everyone after reading the rfc can choose to donate some money to IETF's account.
I think that we might learn some wikipedia's donation mechanism. 

Jiankang Yao

From: Avri Doria
Date: 2014-10-02 11:50
To: ietf

Ouch!

avri

On 01-Oct-14 10:43, IETF Chair wrote:
> support services of high quality and value through a 搑egularization?of

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 2 Oct 2014 14:12:31 +0000

I think it means we should make even better use of the mailing lists, and whatever other tools and mechanisms we have outside the face-2-face meetings…
Regards,
Christer

From: ietf [mailto:[email-masked]] On Behalf Of Jiankang Yao
Sent: 2. lokakuuta 2014 17:04
To: Avri Doria; ietf
Subject: put the paypal donation button in every rfc?

________________________________
Jiankang Yao

From: Avri Doria<mailto:[email-masked]>
Date: 2014-10-02 11:50
To: ietf<mailto:[email-masked]>
Subject: Re: IETF registration fee increase from 2015
Hi,

Ouch!

avri

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 2 Oct 2014 16:21:20 +0200

On Thursday, October 2, 2014, Christer Holmberg wrote:

>  So, we should “punish” people/companies that actually contribute by
> writing drafts?????????????????????????????????????????????????
>
>
I am sorry to know that you understand increase in cost is a punishment. So
do you think the increase of registration fees is punishing attendees of
attending?

I see the cost should increase for who use the time slots of the
meeting-time, so the IETF adopted IDs and presentations. I say no
punishment/fess for individuals but add fees for companies presenting or
authoring. I say only companies that have their name on the IETF drafts or
on the presentations.

AB

---

From: Ray Bellis <[email-masked]>
Date: Thu, 2 Oct 2014 14:46:00 +0000

On 2 Oct 2014, at 15:21, Abdussalam Baryun <[email-masked]> wrote:

> I see the cost should increase for who use the time slots of the meeting-time, so the IETF adopted IDs and presentations. I say no punishment/fess for individuals but add fees for companies presenting or authoring. I say only companies that have their name on the IETF drafts or on the presentations. 

You are kidding, right?

Your proposal as it stands would kill off many employers' participation at IETF stone cold dead.

Also, you forget the one of the IETF's key features is that strictly speaking it is not companies that participate, it is individuals.  Often those individuals are supported through the kind grace of their employers, and to seek to actually charge those employers even more for their employee's highly valuable contributions is frankly batshit crazy.

Ray

---

From: <[email-masked]>
Date: Thu, 2 Oct 2014 15:08:52 +0000

Because the IETF is ostensibly about contributions of individuals, many drafts do not

reflect organisations or corporations accurately - particularly when a draft advances

an idea that has not been adopted as the corporate party line.

So, billing presenters and adopting a pay-for-play model actually discourages

non-corporate new ideas from being presented at all, and helps collapse the fiction

that the IETF is not driven by corporate interests.

So, this idea is as unworkable as your let's-redo-RFC-numbering-as-categories-scheme,

which I see excludes mentions of the April Fools RFCs that you previously tried to ban.

The numbers of RFCs can be chosen for meaning: IPv6 is RFC2460, RFC2468 is who do

we appreciate, RFC666 has the warning up front, because you're about to decipher

Padlipsky, RFC1984 is orwellian surveillance, RFC2001 was very important monolithic

changes to TCP, etc.

Lloyd Wood
http://about.me/lloydwood
________________________________
From: ietf <[email-masked]> on behalf of Abdussalam Baryun <[email-masked]>
Sent: Friday, 3 October 2014 12:21 AM
To: Christer Holmberg
Cc: Dave Crocker; Chris Griffiths; IETF Discussion
Subject: Re: IETF registration fee increase from 2015

On Thursday, October 2, 2014, Christer Holmberg wrote:
So, we should "punish" people/companies that actually contribute by writing drafts?????????????????????????????????????????????????

I am sorry to know that you understand increase in cost is a punishment. So do you think the increase of registration fees is punishing attendees of attending?

AB

---

From: Eric Burger <[email-masked]>
Date: Thu, 2 Oct 2014 11:18:32 -0400

I think we are devolving to where the Churchill Maxim applies: “Democracy is the worst form of government, except for all the others.”

At one extreme, we see someone wanting to give economic disincentive for companies to donate their people to work on open standards. That would leave us with… nobody (before one throws stones, I am in the nobody class). At the other extreme, we see someone wanting to give strong economic incentive for companies to buy influence on the standards process and have our publications reflect the will of corporations, not the best, technical choice.

I would offer that funding the IETF via corporate donations,* meeting fees, and PIR revenues is the worst way of funding an SDO, except for all the others.

* I am literal about corporate donations being donations (gifts). A lot of IETF sponsorship goes through the Internet Society, a U.S. 503(c) entity. If a corporation would be getting a direct benefit from donating, that would put the Internet Society’s tax status in jeopardy. Thus, we are very careful NOT to allow donors to buy influence or get other tangible benefits from their donation. Now, corporations rarely (ever?) do something just to feel good. As it happens, the fact that the world is better off with a funded IETF and corporations are part of the world is OK. Ultimately, a stronger Internet is better for these corporations’ selfish interests. However, what it also means is that corporations do not get better better - everyone gets the same better.

---

From: Nico Williams <[email-masked]>
Date: Thu, 2 Oct 2014 11:13:06 -0500

On Thu, Oct 02, 2014 at 01:09:37PM +0200, Abdussalam Baryun wrote:
> I think we should increase the participation  fees on companies also.
> If company X is authoring 5 IETF-drafts with same individual author, I
> [...]

That's nice, but often large employers aren't aware of every I-D
submitted by their employees.

Another problem is that only individuals participate at the IETF.  Since
there's no membership of any kind, it's difficult to assess an employer
a fee for their employees' IETF work.

Even if we can address those problems, if we do as you propose you'd
find that large employers would start requiring internal approval for
I-D submission, which would then cause I-D submission rates to go down,
which in turn would be bad because it'd be yet another bar to
standardization.

> fees also. So we should not say registration fees only.

Contribution on mailing lists, for example, has been free.  Start
charging for contribution and that's the end of the IETF as an open
organization.  Just say NO to such impulses.

> especially if it is marketing for the authors or their companies

Time slots are first-come-first-served.  If you have something to
present, you'll get to.  Again, charging for participation would be
suicide for the IETF as it is, leading to disbanding or to a switch to a
membership organization, and then the individuals whom you want to
subsidize will simply go away or be excluded (because why would
deep-pocketed members want to explicitly subsidize shallow-pocketed
members who might get in their way??).

> Many companies that participate in IETF but pay no money should be paying

As an individual, I have to say that that's a sure way to kill the IETF.
No, no, NO, a thousand times NO.

Nico
--

---

From: Nico Williams <[email-masked]>
Date: Thu, 2 Oct 2014 11:13:38 -0500

> Personally I think fees should go down and not up.

And I want a pony.

---

From: "John Levine" <[email-masked]>
Date: 2 Oct 2014 19:42:41 -0000

>that can only be afforded by corporates and rich people.

In a word, no.

I pay my own way to IETF meetings.  For the Honolulu meeting, in
addition to the registration fee, I'm paying about $1000 in airfare,
$1300 for the hotel, $300 for food and incidentals, and I'm probably
forgoing a couple of thousand dollars in income had I stayed home and
worked.  In that context, a $50 fee increase is a rounding error.  Is
there anyone whose trips to meetings are so cheap that $50 is a big
increment?

Also, as you surely know, the IETF has unusually good remote
participation facilities, so anyone with enough computer equipment
to join the e-mail lists where the majority of the work is done can
also use jabber and streaming audio during the meetings.

R's,
John

---

From: Hector Santos <[email-masked]>
Date: Thu, 02 Oct 2014 16:09:54 -0400

Maybe the increase can help with electronic participation improvements.

-- 
HLS

---

From: Michael Richardson <[email-masked]>
Date: Thu, 02 Oct 2014 16:41:58 -0400

> addition to the registration fee, I'm paying about $1000 in airfare,

Similar story, more expensive airfare.
+1

    > there anyone whose trips to meetings are so cheap that $50 is a big

The take home that I saw was that I didn't know the daypass cost was that
high.  Never bought one myself.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Geoff Mulligan <[email-masked]>
Date: Thu, 02 Oct 2014 14:56:37 -0600

As someone participating in the IETF as self-funded, while I don't 
necessarily like increase, the $50 increase is small compared to the 
cost to fly to and stay in Hawaii (personally I could go to Minneapolis 
3 times a year).  The registration is just one small part of the actual 
expense of attending.

I completely disagree that the increase would make it "not easy for 
small companies to join the meeting" - as I said travel costs easily 
outweigh the registration fee.  What would make it more difficult for a 
small company to participate is to charge yearly membership fees on top 
of cost to attend the meeting as many other organizations do.

The IETF secretariat appears to have worked hard to hold down the cost 
of the meetings and the IAOC has been experimenting with things like 
Bits&Bites.  We could eliminate big cookies and sodas and bottled water 
and just have cups and water dispensers and BYOS (Bring Your Own Snack) 
and limit everyone to 1 beer or wine at BnB so that more of the 
sponsor's money went to fund the meeting.  Maybe then we could eliminate 
or reduce the increase.

What are you willing to give up at the meeting to save money.  Costs go 
up (it is a fact of life) and the money needs to come from somewhere.

         Geoff

On 10/02/2014 08:04 AM, Jiankang Yao wrote:
> With the increasing of registration fee year by year (many years ago, 
> it is 550 usd), only IETFers supported by big company can easily
> For big company, the registration fee whether it is 1000 usd or 700 
> usd is a small money, but it is a "big" money for individuals or small 
> companies.
> so if the registration fee is increased every few years, is it 
> possible that in some days only IETFers supported by big company  or 
> "rich" IETFers can
> For example, put the paypal donation button in every rfc. everyone 
> after reading the rfc can choose to donate some money to IETF's account.
> ------------------------------------------------------------------------
> Jiankang Yao
> *From:* Avri Doria <mailto:[email-masked]>
> *Date:* 2014-10-02 11:50
> *To:* ietf <mailto:[email-masked]>
> *Subject:* Re: IETF registration fee increase from 2015
> Hi,
> Ouch!

---

From: John C Klensin <[email-masked]>
Date: Thu, 02 Oct 2014 17:07:38 -0400

--On Wednesday, October 01, 2014 23:50 -0400 Avri Doria
<[email-masked]> wrote:

> Hi,
> 
> Ouch!
> 
> Doesn't this move the IETF a bit further along the scale of
> meetings that can only be afforded by corporates and rich
> people.
> 
> At some point, the openness of a task force, or other
> organizational entity, depends on its cost.
>...

Avri,

As someone who pays his own participation costs _and_ who has no
consulting or equivalent work in which anyone thinks they are
covering my Internet participation, let me agree with others: a
$50 increase is down in the noise compared to total costs of
attending meetings.  In a way, it is actually likely to be more
significant to a company that is sending a lot of participants:
multiply it by ten of 20 and it starts sounding like real money
although, I'd contend, still down in the noise.

If we are really interested in minimizing the cost of attendance
and participation to those who are inclined to attend as
individuals, we would be concentrating on meeting locations and
facilities.  In particular, we'd put more priority on avoiding
tourist destinations and places to which airfares are typically
high.  We would also take more note for the observation that, if
someone arrives Saturday (often necessary to minimize airfares)
and leaves Friday (requires being lucky about WG slots and
airline schedules) a $10/day difference in room or meal costs is
more significant than a $50 registration fee increase.

That doesn't mean it sends the right message because I suggest
that it does not.

Let me repeat, in this context, another observation/suggestion,
even if it is somewhat against my personal interest.  At a rough
approximation, portions of the meeting fee cover:

 -- Direct attendee costs, including any unsponsored
	portion of receptions and cookies
 -- Other meeting costs, such as meeting rooms and
	non-donated Internet connections and support, that are
	not bundled into the hotel deal
 -- Costs of remote participation that would not be
	incurred if we didn't try to support remote
	participation.
 -- A fraction of secretariat and other overhead costs
	associated with operating the IETF, both during meetings
	and separately.

Without stumbling into the rat hole associated with some notions
of everyone paying their own marginal participation costs, I
think it is probably time that we start assessing a charge on
those who participate remotely in meetings.  I'd hope the fee
could be kept low and accompanied by a generous waiver policy,
but remote attendees at meetings (distinct from those whose
participation is mailing-list-only) do cause costs and get many
of the advantages of in-person participation.  I don't have
enough data to be able to count but I'd assume that charging us
(I don't expect to be in Honolulu), say, $100 or $150 would
produce about as much revenue as a $50 increase in fees on those
who do attend and would send much better messages about
investment, skin in the game, and shared costs than continuing
to assume that those who attend meetings in person should pay
and everyone else should get a free ride.    Those numbers come
close to a favorable comparison with the excess fees on many
airlines, even before one starts thinking about actual airfares.

best,
    john

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 3 Oct 2014 02:58:43 +0200

I agree with you too, because the Chair's message does not give a solution
to the problem of continuous increase to fees. The message states that the
increase is to get to 39% revenue because it declined. We need to fix
individual registration revenue percentage maybe around 35% or 30%, depends
on finding other resources.

AB

On Thursday, October 2, 2014, Jiankang Yao wrote:

> With the increasing of registration fee year by year (many years ago, it
> is 550 usd), only IETFers supported by big company can easily
> For big company, the registration fee whether it is 1000 usd or 700 usd is
> a small money, but it is a "big" money for individuals or small companies.
>
> so if the registration fee is increased every few years, is it possible
> that in some days only IETFers supported by big company  or "rich" IETFers
> can
> For example, put the paypal donation button in every rfc. everyone after
> reading the rfc can choose to donate some money to IETF's account.
> ------------------------------
> Jiankang Yao
>
>  *From:* Avri Doria <javascript:_e(%7B%7D,'cvml',[email-masked]');>
> *Date:* 2014-10-02 11:50
> *To:* ietf <javascript:_e(%7B%7D,'cvml',[email-masked]');>

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 3 Oct 2014 07:25:48 +1300

I have to say I’m concerned about the trend here; it’s already hard for people who are not “standards professionals” to go to an IETF meeting. 

I want developers and implementers to come to my meetings, not (just) people who are the “regulars.” Given the short time blocks available in an IETF meeting, as well as uncertainly around scheduling until just before the meeting (travel scheduling-wise), it seems like we’re creating ever-more-steep barriers to having them come to meetings.

I understand that the IETF has to stay "financial". However, I’d ask that we consider a number of measures to help address this situation:

* Finalising the agenda (far) before it currently is, so that people can make firm (and economic) travel plans without blocking out an entire week

* Freezing the day pass fee (and raising the “full week” fee proportionately)

* Allowing WGs to hold interim meetings without being required to meet at the adjacent IETF meetings

To anticipate the objections this will raise — yes, I understand that things are structured to encourage cross-particiption and information sharing between groups. However, I believe that in doing so, all we’re really doing is discouraging participation by people who don’t have the time or interest in focusing their careers on standards full-time. 

Cheers,

P.S. I’m not subscribed to IETF@, so please CC: me on replies, *unless* they’re vitriol-filled or off-topic.

--
Mark Nottingham   http://www.mnot.net/

---

From: Ted Hardie <[email-masked]>
Date: Fri, 3 Oct 2014 09:53:32 -0700

Howdy,

On Thu, Oct 2, 2014 at 11:25 AM, Mark Nottingham <[email-masked]> wrote:

> I have to say I’m concerned about the trend here; it’s already hard for
> people who are not “standards professionals” to go to an IETF meeting.
>
> I want developers and implementers to come to my meetings, not (just)
> people who are the “regulars.” Given the short time blocks available in an
> IETF meeting, as well as uncertainly around scheduling until just before
> the meeting (travel scheduling-wise), it seems like we’re creating
> ever-more-steep barriers to having them come to meetings.
>
> I understand that the IETF has to stay "financial". However, I’d ask that
> we consider a number of measures to help address this situation:
>
> * Finalising the agenda (far) before it currently is, so that people can
> make firm (and economic) travel plans without blocking out an entire week
>
>
​I wonder if we can't do something between "finalize down to the minute"
and get blocks of time that aren't a ​week long.  In apps, for example, do
"web stuff" in one block and "email stuff" in another.  Solidify that early
and you will get some improvement.  It won't help for cross-area concerns
(HTTP and WEBRTC, for example), but it might help some.

* Freezing the day pass fee (and raising the “full week” fee
> proportionately)
​I don't follow this.  Making the fee proportional, I agree with, but
subsidizing the fee out of increased fees for those who do more (and
potentially more cross-area work) isn't right.  It might not do that now,
but freezing it would lead you there eventually.

> the adjacent IETF meetings
​So, this was forbidden to avoid regional cost shifting when the majority
of participants were either U.S. or northern European; it was specifically
to prevent folks from ditching a meeting in Asia and holding an interim
instead, because it punished those coming from further.  I think we still
want to prevent that sort of exclusionary behavior, can you see other ways
that do that?  E.G. making the interims in the same region?

I note that you do not list "foster remote participation methods and tools"
as a way around the lack of low-cost alternatives.  I've heard you talk
about it, but you might want to explain why a bit more here, since it is
salient to where we invest.

regards,

Ted

> To anticipate the objections this will raise — yes, I understand that
> things are structured to encourage cross-particiption and information
> sharing between groups. However, I believe that in doing so, all we’re
> really doing is discouraging participation by people who don’t have the
> time or interest in focusing their careers on standards full-time.
>
> Cheers,
>

---

From: "John Levine" <[email-masked]>
Date: 3 Oct 2014 18:14:57 -0000

>"web stuff" in one block and "email stuff" in another.

I fear that would make the heads explode of the people who are trying
to schedule stuff.  If you put all the email sessions in a small
number of blocks, it'd be hard to avoid scheduling sessions at the
same time that are of interest to the same people.  One of the reasons
to spread them out across the week is so we can have something
analogous to tracks, so people interested in apps stuff can go to all
the apps sessions and so forth.

We might want to make the bar for scheduling sessions somewhat higher,
with the goal to shrink the meetings from five days back to four.
That would save money for everyone.

---

From: Ted Hardie <[email-masked]>
Date: Fri, 3 Oct 2014 12:50:50 -0700

> That would save money for everyone.
​I think we're thinking of different sized blocks.  I meant "Monday is for
mailing and messaging"; "Wednesday's for the web" sized blocks, not putting
them all in parallel sessions in the same time slots.  I agree with you,
that would not make sense.

It's still a viciously hard scheduling problem, especially for areas
without the clear-cut divisions of APPS or OPS-NM, but it might help a bit.

Ted​

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 04 Oct 2014 11:43:09 +1300

> without the clear-cut divisions of APPS or OPS-NM, but it might help a bit.

I have to whack this mole again:

We *want* people to stay the whole week and participate in meetings
outside their own speciality, so as to detect overlaps, oversights and
synergies. We *don't* want people to keep their heads down and focus
only on one topic. That way lie silos and duplications of effort.

Just to take your example, if Monday is mail and Wednesday is web,
when is Internationalization and when is Security? (And to be
really silly, when is Webmail?)

It doesn't compute.

    Brian

---

From: Nico Williams <[email-masked]>
Date: Fri, 3 Oct 2014 18:08:48 -0500

+1

Yes, one day for topic X is convenient for those working only on topic
X.  Culturally, however, that would be a very damaging plan.

---

From: S Moonesamy <[email-masked]>
Date: Fri, 03 Oct 2014 16:44:14 -0700

Hi Mark,
At 11:25 02-10-2014, Mark Nottingham wrote:
>I have to say I’m concerned about the trend 
>here; it’s already hard for people who are not 
>“standards professionals” to go to an IETF meeting.
>
>I want developers and implementers to come to my 
>meetings, not (just) people who are the 
>“regulars.” Given the short time blocks 
>available in an IETF meeting, as well as 
>uncertainly around scheduling until just before 
>the meeting (travel scheduling-wise), it seems 
>like we’re creating ever-more-steep barriers to having them come to meetings.
>
>I understand that the IETF has to stay 
>"financial". However, I’d ask that we consider a 
>number of measures to help address this situation:
>
>* Finalising the agenda (far) before it 
>currently is, so that people can make firm (and 
>economic) travel plans without blocking out an entire week

The agenda of a session is supposed to be 
finalized at least two weeks before.  As you are 
a working group chair you already know how it 
goes. :-)  Instead of arguing about why it is 
difficult to finalise an agenda I'll ask you how 
much notice would the developers and implementers 
require for travel scheduling.

>* Allowing WGs to hold interim meetings without 
>being required to meet at the adjacent IETF meetings
>
>To anticipate the objections this will raise — 
>yes, I understand that things are structured to 
>encourage cross-particiption and information 
>sharing between groups. However, I believe that 
>in doing so, all we’re really doing is 
>discouraging participation by people who don’t 
>have the time or interest in focusing their careers on standards full-time.

The argument for the week-long meeting is that it 
is to encourage cross-area participation.  Has that happened in practice [1]?

There is a steep barrier to participation (re. 
don't have the time to focus full-time).    It is 
worthwhile to consider whether breaking that 
barrier for developers and implementers is worth it.

Regards,
S. Moonesamy

1. I mean whether there is cross-area participation from new people.

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 04 Oct 2014 13:14:15 +1300

On 04/10/2014 12:44, S Moonesamy wrote:

> The argument for the week-long meeting is that it is to encourage
> cross-area participation.  Has that happened in practice [1]?
...
> 1. I mean whether there is cross-area participation from new people.

Why is this especially relevant to new participants? Actually I would
expect them to focus on their primary topic at first, until they
are accustomed to the IETF world.

For existing participants it happens all the time. The Ops Area
BOF/WG proposal I am involved in is being discussed very actively
in the Internet Area and has significant links to the Security Area.
I could name an Internet Area BOF where much of the relevant
knowledge is in the Transport Area. That's business as usual.

   Brian

---

From: Melinda Shore <[email-masked]>
Date: Fri, 03 Oct 2014 16:43:10 -0800

On 10/3/14 3:44 PM, S Moonesamy wrote:
> There is a steep barrier to participation (re. don't have the time to
> focus full-time).    It is worthwhile to consider whether breaking that

I hope that when you say "full-time" here, you're talking about during
the meeting week.  I think it's very clearly the case that there's a
growing number of full-time standardizers participating and that it's
increasing the workload on everybody else.  It seems to me that the
best way to provide some balance is to make it easier to participate
without being the employee of a networking behemoth, without becoming
a full-time standardizer yourself, and without further degrading the
quality of the work being done.  From where I sit that means de-
emphasizing meetings, or at least work a LOT harder at making sure that
the work of the IETF is done on mailing lists, not meetings, while
simultaneously encouraging and supporting remote participation.
For a lot of people the major cost of participation is their time, but
it's still the out-of-pocket costs which can be a serious hindrance
to participation.  Someone can usually grab 4-5 hours a week to
author documents, review documents, and quibble on mailing lists about
things that aren't actually problems, but it's another thing entirely
to incur unreimbursed expenses to the tune of $3000 or so several
times/year.

Melinda

---

From: S Moonesamy <[email-masked]>
Date: Fri, 03 Oct 2014 18:00:29 -0700

Hi Brian,
>are accustomed to the IETF world.

"New" is relative.  I left it undefined, i.e. it could be one year of 
meeting experience or X years.  I was trying to get an opinion about 
whether there has been a change [1][2] in (cross-area) participation 
over time, i.e. people following other areas in addition to their 
primary topic (re. see above expectation).

Regards,
S. Moonesamy

1. http://www.ietf.org/mail-archive/web/ietf/current/msg73068.html
2. http://www.ietf.org/mail-archive/web/ietf/current/msg73070.html

---

From: Yoav Nir <[email-masked]>
Date: Sat, 4 Oct 2014 07:18:25 +0300

On Oct 2, 2014, at 11:56 PM, Geoff Mulligan <[email-masked]> wrote:

> As someone participating in the IETF as self-funded, while I don't necessarily like increase, the $50 increase is small compared to the cost to fly to and stay in Hawaii (personally I could go to Minneapolis 3 times a year).  The registration is just one small part of the actual expense of attending.

I agree. Whether funded by a big company, a small company, or your own little one-person consultancy, the registration cost is easily dominated by three things:
Travel cost (for me - always, but it’s most of the time for everyone)
Hotel cost (nearly always)
Hopefully, what each of us does on a regular work-week is worth more than $700.

It’s the last one that gives big companies a significant advantage. A Cisco or a Huawei can afford to send 100 or dozens of engineers to meetings three times a year, and can afford for them to take on roles as chairs, IAB and IAOC members, and area directors. That costs a lot more than $700 three times a year.

Yoav

---

From: Eliot Lear <[email-masked]>
Date: Sat, 04 Oct 2014 08:48:30 +0200

Hi,

> To anticipate the objections this will raise — yes, I understand that things are structured to encourage cross-particiption and information sharing between groups. However, I believe that in doing…

Your own group benefited from cross area review, both from transport and
security.  Now it is true that area directors and one WG chair flew to
your interim meetings.  But normal people didn't.  I think you are
asking for something else, however: more time at the main meeting.  And
that I could get on board with.  It would not be easy logistically, but
I think it is worth an experiment, at least.  What if you found yourself
with 2 days of meeting time?  And how much would that be worth to you
and your company?  And while I am not against interim in person
meetings, the pace you proceeded at did substantially increase the cost
of participation.  On the other hand, maybe it will be worth the
results.  We cannot yet say.

Eliot

---

From: Jiankang Yao <[email-masked]>
Date: Sat, 4 Oct 2014 17:07:05 +0800

Actually, I don't disagree the increase of 50 USD this year or future year. What I concerned is that the current mechanism is to increase 50 USD every few years.  The increase of the registration fee seems to be the only solution to make up the running expenditure of ietf. We might need to consider other solution, or some renewable solution too.

 Best Regards
Jiankang Yao

> 在 2014年10月4日，12:18，Yoav Nir <[email-masked]> 写道：
> 
>

---

From: Jari Arkko <[email-masked]>
Date: Sat, 4 Oct 2014 12:00:16 +0300

Avri,

> thought that was one of its primary missions.

I do not speak for ISOC, but: they *are* adequately supporting the IETF, yearly over 2M$. It is their primary mission. And I want to thank them for this, not everyone always remembers how big their contribution is. The IETF needs ISOC, the Internet needs ISOC. Thank you.

However, it does not mean that we can increase our support request without limits.

Jari

---

From: Jari Arkko <[email-masked]>
Date: Sat, 4 Oct 2014 12:03:01 +0300

Carsten,

> Clearly, Minneapolis, Berlin, Prague etc. were inexpensive,

Data point: when I check the Minneapolis Hilton for the IETF dates I get the 229$ rate, whereas in Honolulu I pay 185$. I know, one is negotiated, the other one isn’t, and there’s travel cost to be involved. FWIW, Minneapolis is a horrible destination for me due to the limitations on what airlines fly there. I keep repeating “Vancouver” whenever people say “Minneapolis”. I’ll say it again: Vancouver is a nice city :-)

> — but more importantly invest some more energy in containing the explosion of total meeting attendance cost.

Excellent summary. And I think this is exactly what we intend to do.

Jari

---

From: Jari Arkko <[email-masked]>
Date: Sat, 4 Oct 2014 12:04:34 +0300

Mark,

> To anticipate the objections this will raise — yes, I understand that things are structured to encourage cross-particiption and information sharing between groups. However, I believe that in doing…

Good points. FWIW, I am in very much agreement with this.

Jari

---

From: Jari Arkko <[email-masked]>
Date: Sat, 4 Oct 2014 13:08:37 +0300

> I would offer that funding the IETF via corporate donations,* meeting fees, and PIR revenues is the worst way of funding an SDO, except for all the others.

Well said. But yes, the IETF does get a sizeable amount of income in meeting sponsorships, too.

Jari

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 4 Oct 2014 14:30:24 +0200

Hi Moonesamy,

> cross-area participation.  Has that happened in practice [1]?

IMO not happened in practice and does cost us money. We have WGs with small
attendance that need to join together for cross-participations. For example
when I attended a one day IETF89 meeting I expected MANET WG to have
attendance of above 20 but was not, the room was able to take 100 so we
were using only about 20% which can be seen as waste of money. I suggest if
WG meet in IETF avenues with less than 20 we join it with others for cross
participation.

> barrier for developers and implementers is worth it.

Good point. I want to add that there may be many small size WGs that are
taking separate rooms while they may be in the same area or can join
another WG as cross-participation. THAT separation COSTS MONEY and TIME per
meeting. If we look into attendance size per WG per room-size per
meeting-time, then we may find better strategies for reservation expenses
and cross WG/area participation.

AB

---

From: Donald Eastlake <[email-masked]>
Date: Sat, 4 Oct 2014 14:12:13 -0400

I don't really understand why the subject of this thread and others
and many comments imply that registration is going to cost more or
that somehow there should be "extra" money for other purposes. Looking
at the history on a time scale of several years, it seem to me this
just keeps the cost about the same and simply reflects the decrease in
the value of the US dollar.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: "John Levine" <[email-masked]>
Date: 4 Oct 2014 19:27:58 -0000

>and there’s travel cost to be involved. FWIW, Minneapolis is a horrible destination
>for me due to the limitations on what airlines fly there.

You don't like KLM and Virgin Atlantic?

> I keep repeating "Vancouver" whenever people say "Minneapolis". I'll
> say it again: Vancouver is a nice city :-)

I agree.  It's a little more expensive than Minneapolis, but the food
is definitely better.

R's,
John

---

From: Yoav Nir <[email-masked]>
Date: Sun, 5 Oct 2014 08:20:22 +0300

On Oct 4, 2014, at 3:30 PM, Abdussalam Baryun <[email-masked]> wrote:

> The argument for the week-long meeting is that it is to encourage cross-area participation.  Has that happened in practice [1]?
> 
> IMO not happened in practice and does cost us money. We have WGs with small attendance that need to join together for cross-participations. For example when I attended a one day IETF89 meeting I expected MANET WG to have attendance of above 20 but was not, the room was able to take 100 so we were using only about 20% which can be seen as waste of money. I suggest if WG meet in IETF avenues with less than 20 we join it with others for cross participation. 

20 people in the room who know about the subject and have something interesting to say ([1]) is the best way to run a working group meeting. It’s much better than having 150 people in the room, only 20 of whom know the subject, especially if you don’t know which 20 these are. And it’s much much better than a meeting where the 10 people who know the subject couldn’t make it to the meeting, and the 150 people in the room are all tourists ([2]).

So yes, 20 people in a room fit for 100 is kind of wasteful, but we’re limited by what’s available at the venue. I don’t remember specifically about London, but there is often a short supply of small rooms, and those we reserve for IESG meetings, NomCom, the IAOC and other non-WG stuff. So working groups often get scheduled in rooms that are too big. It’s way better than getting a room that’s too small, with people looking in from outside or sitting on the floor.

Anyway, bringing in more people from other working groups who aren’t necessarily interested in your subject matter sounds counter-productive to me. It could work if the subjects are really close. NTP and TICTOC have been doing it for years. It works for them, but I don’t think that it’s a good idea in general. 

Yoav

[1] - I wasn’t there and I don’t know anything about MANET, so there’re a lot of assumptions here
[2] - I was at that meeting

---

From: Eliot Lear <[email-masked]>
Date: Sun, 05 Oct 2014 08:28:38 +0200

Hi Mark,

On 10/5/14, 3:18 AM, Mark Nottingham wrote:
> Eliot,
>
> On 4 Oct 2014, at 4:48 pm, Eliot Lear <[email-masked]> wrote:
>
>> your interim meetings.  But normal people didn’t.
> I don’t see how this is relevant; I’m not asking to avoid cross-area review, or to eliminate meetings during the IETF week. Both are valuable.
>
> Regarding “normal people” — I do not think that means what you think it means...

I didn't say you were asking to avoid cross-area review, but it is an
artifact of holding in person interim WG meetings when you are not
planning to meet at the next IETF meeting, which is precisely what you
were advocating.  And "normal" means people who have limited budget and
time to travel all over the world.  That includes people who are not
so-called "standards professionals".

> Two days is useful when you can focus everyone’s attention on the
> matter at hand; I’m not sure whether having such a meeting during the
> circus that is the IETF week — when people will inevitably want to
> duck out for a few hours to attend other meetings — would be useful.
> The experiment to seat people differently during the IETF week
> meetings is very interesting, though. 

Then we have found the limits of our abilities as an organization.

>> And while I am not against interim in person
> We proceeded at the pace dictated by our charter. This was very deliberate; I can’t ask engineers who aren’t standards professionals or academic researchers to invest an open-ended number of years into an effort. And, considering the ever-raising costs of coming to an IETF week (to return to the original thread), the cost of attending an interim is substantially less than going to the IETF meeting. 

I am not saying that your pace was wrong, but your last phrase is. 
There is nothing that requires someone to stay the entire week at an
IETF meeting.  The dominant costs for all of these meetings are hotel
and air, and then registration.  Mostly air doesn't vary per trip based
on how long you stay.  That leaves hotel.  Registration actually pays
for the services you use (rooms, staff, RFC Editor, etc).  Given the
number of interims you had, that was a LOT of air travel AND hotel.  I'm
not saying it was wrong, but it was expensive.

Eliot

---

From: John C Klensin <[email-masked]>
Date: Sun, 05 Oct 2014 09:15:55 -0400

--On Sunday, October 05, 2014 08:28 +0200 Eliot Lear
<[email-masked]> wrote:

>>> Your own group benefited from cross area review, both from
>>> transport and security.  Now it is true that area directors
>>> and one WG chair flew to your interim meetings.  But normal
>>> people didn't.
>> I don't see how this is relevant; I'm not asking to avoid
>> cross-area review, or to eliminate meetings during the IETF
>> week. Both are valuable.
>...
> I didn't say you were asking to avoid cross-area review, but
> it is an artifact of holding in person interim WG meetings
> when you are not planning to meet at the next IETF meeting,
> which is precisely what you were advocating.  And "normal"
> means people who have limited budget and time to travel all
> over the world.  That includes people who are not so-called
> "standards professionals".

I note that we once had a (fairly firm) rule against interim
meetings close to an IETF one unless the WG also planned a
meaningful meeting at IETF because they effectively encouraged
people to attend the interims and skip the IETF one.    We also,
IIR, had a general principle that, except under rare and unusual
circumstances, a WG that didn't meet at IETF meetings didn't get
to hold f2f interim ones either.  The latter was justified by
the observation that the IETF wasn't really adding value to the
WG (and, btw, WG participants who didn't attend IETF meetings
didn't contribute anything to IETF finances) even though the WG
still consumed management, I-D, tracking, and other resources.
Such a WG could essentially become a separate body with a
fast-track IETF approval process, and (despite a few recent de
facto exceptions that I personally think violate at least the
spirit of the way IETF does things) the community has steadily
resisted fast track standardization procedures.

Somehow those restrictions and their advantages for wide
community review and participation seems to be slipping away
from us.

>> Two days is useful when you can focus everyone's attention
>> on the matter at hand; I'm not sure whether having such a
>> meeting during the circus that is the IETF week — when
>> people will inevitably want to duck out for a few hours to
>> attend other meetings — would be useful. The experiment to
>> seat people differently during the IETF week meetings is very
>> interesting, though. 
> 

I don't know that I would go quite that far.  However, it is
clear to me that any WG that regularly needs multiple days of
meetings, or even more than about four or five hours or face
time within a week (or month), has shifted from "most of the
work is done on mailing lists" to either "most of the work is
done face to face" or what Marshall Rose might have described as
a meeting primarily focused on the fine lunches and dinners.

Independent of debates about whether "do work in meetings"
versus "do work f2f" is ultimately a better model, it is clear
that the latter tends to increase the cost burden for anyone
participating in more than one activity and to drive
participation/membership more toward those who can prioritize
standardization activities over other types of work and demands
on time.

>...
> I am not saying that your pace was wrong, but your last phrase
> is.  There is nothing that requires someone to stay the entire
> week at an IETF meeting.

Except that, if one defers making air (and often hotel)
reservations until the IETF schedule is stable (or gets
unrestricted fares to avoid change fees), those costs increase
very significantly.  Also, if IETF scheduling results in two WGs
of interest, or two meetings of the same WG, separated by
multiple days, the de facto effect is to require staying almost
all week.

>  Registration actually pays for the services you use
> (rooms, staff, RFC Editor, etc).

And I continue to believe that remote participants (distinct
from mailing list-only) ones, should be assuming some small
fraction of those expenses, especially those not bound to the
physical meeting.  I think that, as well as a more formal
registration procedure for remote participants, would be
important in principle even if it did not significantly change
the revenue picture.

>  Given the number of interims
> you had, that was a LOT of air travel AND hotel.  I'm not
> saying it was wrong, but it was expensive.

I'm not recommending this, but it would be interesting if
someone, someday, appealed the issuance of a two week IETF Last
Call on products of a WG that did a very large percentage of its
work in interim meetings.  That would be on the grounds that the
work was not adequately exposed to the broader community to
justify a short Last Call and, consequently, that it work should
be treated more like an individual submission for Last Call
purposes.

     john

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 5 Oct 2014 15:39:59 +0100

I can't believe you've all suckered me in!

> For example when I attended a one day IETF89 meeting I expected 
> MANET WG to have attendance of above 20 but was not

The blue sheets at
http://www.ietf.org/proceedings/89/bluesheets/bluesheets-89-manet-01.pdf show 28
people in the room who signed.

While that has nothing to do with the main points of the discussions on this
thread, I do wish there was a little more care with facts.

Adrian

---

From: manning bill <[email-masked]>
Date: Sun, 5 Oct 2014 14:29:01 -0700

well, 28 people who signed the sheet(s).   There is a presumption that they were in the room when they signed.

/bill
PO Box 12317
Marina del Rey, CA 90295
310.322.8102

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 4 Oct 2014 09:30:31 +1000

Hi Ted,

On 4 Oct 2014, at 2:53 am, Ted Hardie <[email-masked]> wrote:
> 
> ​I wonder if we can't do something between "finalize down to the minute" and get blocks of time that aren't a ​week long.  In apps, for example, do "web stuff" in one block and "email stuff" in another.  Solidify that early and you will get some improvement.  It won't help for cross-area concerns (HTTP and WEBRTC, for example), but it might help some.

That would be nice, but I suspect it would make the task of setting up the agenda even more difficult for those that do it.

> ​I don't follow this.  Making the fee proportional, I agree with, but subsidizing the fee out of increased fees for those who do more (and potentially more cross-area work) isn't right.  It might not do that now, but freezing it would lead you there eventually.

People who do full-time standards can more easily justify paying a higher fee; for engineers it's already touch-and-go.

> ​So, this was forbidden to avoid regional cost shifting when the majority of participants were either U.S. or northern European; it was specifically to prevent folks from ditching a meeting in Asia and holding an interim instead, because it punished those coming from further.  I think we still want to prevent that sort of exclusionary behavior, can you see other ways that do that?  E.G. making the interims in the same region?

Requiring interim meetings to be geographically distributed (and not just based upon existing participants' preferences) would do it, I think; this is what we've tried to do in HTTP (we've done one in A/P, 3 in North America and 3 in Europe; if we have another it'd be in A/P).

> I note that you do not list "foster remote participation methods and tools" as a way around the lack of low-cost alternatives.  I've heard you talk about it, but you might want to explain why a bit more here, since it is salient to where we invest.

I have mixed feelings about remote participation. I think we can do a lot better on tools, but at the end of the day there's huge value to having people in the same room (and in the hallway, and going out to dinner).  Often, it makes the difference as to whether an effort can be successful. So, I want to make it as easy as possible to get as many of the active participants in the same physical place at least a few times as is possible. Making them expend an entire week to do so doesn't help.

Cheers,

--
Mark Nottingham   https://www.mnot.net/

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 4 Oct 2014 11:22:49 +1000

On 4 Oct 2014, at 9:44 am, S Moonesamy <[email-masked]> wrote:

> The agenda of a session is supposed to be finalized at least two weeks before.  As you are a working group chair you already know how it goes. :-)  Instead of arguing about why it is difficult to finalise an agenda

I don’t see anyone arguing about *why* it’s difficult to finalise the agenda — that seems to be well-understood.

> I'll ask you how much notice would the developers and implementers require for travel scheduling.

At least two months for the draft agenda; preferably three. Long-distance airfares generally start rising in that period of time, and most people who don’t do this for a living need to request and obtain permission to travel, which can add weeks of delay.

Regards.

---

From: Mark Nottingham <[email-masked]>
Date: Sun, 5 Oct 2014 12:18:37 +1100

Eliot,

> I think you are
> asking for something else, however: more time at the main meeting.

That’s largely orthogonal, and AIUI more time *is* available to those who ask, space permitting.

> And
> and your company?

Two days is useful when you can focus everyone’s attention on the matter at hand; I’m not sure whether having such a meeting during the circus that is the IETF week — when people will inevitably want to duck out for a few hours to attend other meetings — would be useful.

The experiment to seat people differently during the IETF week meetings is very interesting, though.

Cheers,

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 6 Oct 2014 05:41:34 +1100

Hi John,

> still consumed management, I-D, tracking, and other resources.

A breakdown of those resources would be interesting. Since the ADs are volunteers, I suspect most of the cost to the IETF is in the latter phases (mostly the RFC Editor). I also suspect it’s covered by a WG that meets at more than a handful of IETF meetings.

> community review and participation seems to be slipping away

That’s one way to look at it. 

I see it more as keeping the work relevant to an audience that will result in a standard that’s more connected to real implementations, and real developers, rather than being dominated by standards professionals / “the regulars.”

In particular, “wide community review” is very much a two-edged sword. There is indeed very high value in getting cross-area review; IME having sessions that explicitly pull in a different part of the community is extremely productive, and very good use of time in the IETF week. OTOH if we use this excuse to tilt the table to overly advantage those already ensconced in the IETF community (with budget to go to each meeting, and three extra weeks a year to spend on them) over those who don’t have such privilege, we’re going to lose touch (and rightly be punished by the market). 

From what I see, there’s already a pretty high level of cynicism about the IETF among the developer community, in part because of this. As in all things, I suspect it’s a question of balance, and I’m saying that the pendulum has swung too far one way.

> a meeting primarily focused on the fine lunches and dinners.

One can always go to far. The trick — again — is to find the reasonable balance that’s appropriate to the situation.

> standardization activities over other types of work and demands

As it should be. The bias should be towards those who *don’t* participate in more than one activity, but who are meaningfully connected to the problem spaces we’re trying to address. By nature, they will not be able to prioritise standardisation activities; their time is precious and we should optimise to accommodate them, lest we becomes so disconnected that they pursue other paths.

I am profoundly uninterested in being part of a talking shop of the “old boys” who turn away outsiders because they think they have all of the answers. That is not the role of standardisation. 

> multiple days, the de facto effect is to require staying almost

Thank you, well said.

> important in principle even if it did not significantly change

I tend to agree, provided that we can offer a sufficiently high-quality remote participation experience to justify it, without unduly burdening the work. Having people pay even a nominal fee tends to line up the incentives nicely...

> be treated more like an individual submission for Last Call

Indeed. It’d also be interesting if the IESG did so without the necessity of an appeal, demonstrating the wisdom for which they were presumably appointed.

Regards,

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 06 Oct 2014 13:55:48 +1300

On 04/10/2014 14:22, Mark Nottingham wrote:
...
> At least two months for the draft agenda; preferably three. Long-distance airfares generally start rising in that period of time, and most people who don’t do this for a living need to request and…

Actually, even when I was mainly dedicated to standards work for a large
employer, I had to go through full approval processes for travel. It's certainly
true for development engineers. However, the best we can really expect is a
clear statement immediately after IETF N whether or not a particular WG will or
will not meet at IETF N+1 (and/or hold an interim at a specific place and date).
That makes it possible to write reasonably honest travel requests.

    Brian

---

From: Mikael Abrahamsson <[email-masked]>
Date: Mon, 6 Oct 2014 06:25:58 +0200 (CEST)

On Sat, 4 Oct 2014, Mark Nottingham wrote:

> I have mixed feelings about remote participation. I think we can do a 
> lot better on tools, but at the end of the day there's huge value to 
> having people in the same room (and in the hallway, and going out to 
> dinner).  Often, it makes the difference as to whether an effort can be 
> successful. So, I want to make it as easy as possible to get as many of 
> the active participants in the same physical place at least a few times 
> as is possible. Making them expend an entire week to do so doesn't help.

Getting people in the room only benefits the people already active, or 
people who have a specific agenda they want to discuss with someone. As a 
new person, you're very possible none of these, or you don't have the 
confidence to assert yourself.

I started subscribing to IETF mailing lists back around IETF70 or so, my 
first IETF was IETF75 (because it was held in Stockholm where I live), and 
frankly I didn't get much out of that meeting, more than having 
experienced it in person. I even went up to the mic in the plenary and 
spoke about something that is (still) a real problem. Now afterwards, I 
learn that this is not how things are done. If you're not already an 
active participant on the mailing lists etc, the physical meetings are not 
very useful.

Otoh for me as being a fidonet person from the 80ties, remote 
participation in the IETF is great. It's super easy to start participating 
remotely, formal barrier of entry is extremely low and the medium fits me 
perfectly. I can imagine others not thinking it's as easy as I do, but 
unfortunately I have no idea how to make it easier.

I am sure there can be more done on scheduling so some people don't have 
to be there the entire week, but I attend so many WGs that I already have 
plenty of conflicts each meeting, so please don't condense it even more.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Yoav Nir <[email-masked]>
Date: Mon, 6 Oct 2014 10:28:24 +0300

> That makes it possible to write reasonably honest travel requests.

I agree that’s a good idea. 

For me at least (and I would imagine the same would be true for Mark), it would be strange to come for one or two days, because travel takes at least another day. Unless your day is Monday or Friday, your work week is shot anyway. 

I’ve heard of people combining a partial IETF week with a customer visit near the venue as a means of convincing the powers that be to approve the travel, but it’s not applicable to everyone.

I’d like to point out also, that airfare can be more expensive when traveling for a day or two. Generally it gets cheaper if the trip extends to almost a week. This was more pronounced years ago, but it is still true.

Yoav

---

From: "John Levine" <[email-masked]>
Date: 6 Oct 2014 17:31:34 -0000

>I have mixed feelings about remote participation. I think we can do a lot better on tools, but at
>the end of the day there's huge value to having people in the same room (and in the hallway, and
>going out to dinner).

Of course.  The question is whether the alternative to remote
participation is spending the money to come in person, or not to
participate at all.  It is my data-free impression that it's more
often the latter than the former.

We want as many well qualified people to work on IETF documents as we
can, so there shouldn't be any conflict between making it easier to
show up in person and making it easier to work remotely.

R's,
John

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 6 Oct 2014 16:01:48 -0700

On Fri, Oct 3, 2014 at 6:22 PM, Mark Nottingham <[email-masked]> wrote:

>
> >> * Finalising the agenda (far) before it currently is, so that people
> can make firm (and economic) travel plans without blocking out an entire
> week
> >
> > The agenda of a session is supposed to be finalized at least two weeks
> before.  As you are a working group chair you already know how it goes.
> :-)  Instead of arguing about why it is difficult to finalise an agenda
>
> I don’t see anyone arguing about *why* it’s difficult to finalise the
> agenda — that seems to be well-understood.
>
> At least two months for the draft agenda; preferably three. Long-distance
> airfares generally start rising in that period of time, and most people who
> don’t do this for a living need to request and obtain permission to travel,
> which can add weeks of delay.
>

The obvious tension here is that the chairs might not know how much face
time the WG will need three months ahead of time.  Especially in area WGs,
big things can come up suddenly or be resolved just as suddenly.  Putting
the deadline out that far might have more of us asking for 2.5 hour slots
just-in-case, followed by a lot of last minute reductions or cancellations,
and the agenda remains fluid (or there's lots of wasted room time).

I don't have a good solution to that; I'm just trying to describe the other
extreme for us to consider.

-MSK

---

From: Michael Richardson <[email-masked]>
Date: Mon, 06 Oct 2014 20:57:43 -0400

Murray S. Kucherawy <[email-masked]> wrote:
    >> >> * Finalising the agenda (far) before it currently is, so that
    >> people can make firm (and economic) travel plans without blocking out
    >> an entire week
    >> >
    >> > The agenda of a session is supposed to be finalized at least two
    >> weeks before.  As you are a working group chair you already know how
    >> it goes.  :-) Instead of arguing about why it is difficult to finalise
    >> an agenda
    >> 
    >> At least two months for the draft agenda; preferably
    >> three. Long-distance airfares generally start rising in that period of
    >> time, and most people who don’t do this for a living need to request
    >> and obtain permission to travel, which can add weeks of delay.

    > The obvious tension here is that the chairs might not know how much
    > face time the WG will need three months ahead of time.  Especially in
    > area WGs, big things can come up suddenly or be resolved just as
    > suddenly.  Putting the deadline out that far might have more of us
    > asking for 2.5 hour slots just-in-case, followed by a lot of last
    > minute reductions or cancellations, and the agenda remains fluid (or
    > there's lots of wasted room time).

I agree that it is a problem.
Here is *a* solution:
     1) everyone gets a 1hr slot upon presentation of 1hr of non-presentation
        agenda materials (BOFs not subject to this rule)

     2) there is now lots of empty slots that can be assigned 3-4 weeks
        before the meeting to WGs that need it.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Dave Crocker <[email-masked]>
Date: Mon, 06 Oct 2014 19:16:06 -0700

On 10/6/2014 4:01 PM, Murray S. Kucherawy wrote:
> time the WG will need three months ahead of time.  Especially in area
> WGs, big things can come up suddenly or be resolved just as suddenly. 

Design for the desired 'normal' case and then permit exceptions.

Groups ought to have an established work pattern that permits planning a
f2f session significantly in advance.  It's a form of milestone and we
already require those.  That we typically don't worry about adhering to
them is a separate issue.

Anyhow, on the average, if a group doesn't have and established work
pattern, they've got deeper problems.

d/

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Tue, 7 Oct 2014 12:03:40 +0000

On Oct 2, 2014, at 12:25 PM, Mark Nottingham <[email-masked]> wrote:

> I want developers and implementers to come to my meetings, not (just) people who are the “regulars.” 

Just picking two good developer conferences ... Both Google IO and Apple WWDC cost more than IETF - and like IETF, the part many people are going for is often one particular 3 hour session. 

I want implementers to come - and many do - and I want them to be regulars because I believe you get much better compromises when all the players are repeat players. I'm pretty skeptical that doubling of halving our current registration fee would material impact the number of people coming to the meeting that are directly involved with implementing stuff.

---

From: Jari Arkko <[email-masked]>
Date: Tue, 7 Oct 2014 09:23:23 -0700

FWIW, I think it is really important to be receptive to the implementor community, and make sure that we can draw on their participation, be it for a nanosecond on the mailing list, virtual attendance, attendance in an interim meeting, attending a day at an IETF, or attending the full week. And some with a lot of time to look at other things as well as their own, others with less. People have different priorities, and we cannot expect everyone to fit one model.

I take the point about schedule firmness early on. Obviously this is not easy, but we will try. (One of the problems is that we’re overbooked; 127 requests for 126 slots, and this time we have more slots than normally. This leads to some rescheduling requests when there are conflicts. But the preliminary -91 agenda should be out any in a couple of days.)

Also, about John’s point on abandoning the ideal of working on mailing lists. I do not think we have. But the size of projects differs, and Mark’s HTTP 2.0 project has been a big and important one. They discuss a lot on the list, but also need some f2f time.

Jari

---

From: Michael Richardson <[email-masked]>
Date: Tue, 07 Oct 2014 14:00:14 -0400

Jari Arkko <[email-masked]> wrote:
    > FWIW, I think it is really important to be receptive to the implementor
    > community, and make sure that we can draw on their participation, be it
    > for a nanosecond on the mailing list, virtual attendance, attendance in
    > an interim meeting, attending a day at an IETF, or attending the full

We have talked for years about having fully virtual (interim?) meetings.
Perhaps, given jitsi.tools.ietf.org,  we are approaching the point where we
should consider this again.

---

From: t.p. <[email-masked]>
Date: Thu, 23 Oct 2014 17:51:15 +0100

The IETF I see using an increasing variety of technology
without, AFAICT, offering enough guidance for me to be able to use it.
So I go to the main IETF website and search on:

jabber - yes, this takes me to a useful web page, that one is fine

github - yields a lengthy list of e-mails which I do not understand.
The github website is accessible but is also over my head.  If the work
of WGs is going to rely on this, which I see signs of on several lists,
then it would be good to see an equivalent of RFC2629, or perhaps
RFC4677, on this.  (But I note that the github website says that there
is no support for IE8 so that is academic, for me, pro tem).

meetecho - ditto, but I think irrelevant to most participants in the
work of the IETF so it does not matter that the website is inaccessible
using IE from any  IT facilities I have regular access to!  The URLs
that appear in the IETF mailing lists relating to this are also
inaccessible.  I wonder if there is a particular TLS requirement
underlying this.

etherpad  - ditto, but I think irrelevant to a participant in the work
of the IETF via a mailing list

webex -ditto but perhaps relevant.  Here the website is inaccessible
using IE - http 403 - but there is a Cisco branded website which is
accessible, with more information.  It does say that Windows XP and IE7
are supported - as they should be! - but also talks of a download being
required which begs the question, what is the download, what system
requirements does it have? Does it require Windows Administrator
privileges?.  The website also says things like the person setting up
the meeting decides, e.g., whether or not VoIP will or will not be
supported, not not the sort of thing I see mentioned within the IETF.

IRC popped up this week "IRC is fine, and should be used as a tool to
create the meeting minutes".  Here a search leads to the RFC -
naturally, which is sort of good but not much use to an end user if it
is a tool with which we are meant to participate.

'webex' reminds me of my last attempt to participate remotely, when
the IT facilities that I could customise were limited to 56kbps dial-up
and the minimum that the IETF would support was 64kbps, while the IT
support for the IT facilities that I could use with a higher speed were
clear that they did not support the technology of the IETF (which
probably meant that they had never heard of it).  But on that
occasion I had the information with which to progress the issue, whereas
for the ones I detail above, I lack that basic information.

It is one thing to help make the Internet work better - it is something
else to have to use the results:-(

Tom Petch

---

From: Hector Santos <[email-masked]>
Date: Thu, 23 Oct 2014 13:30:53 -0400

+1. Wish I had more time to contribute to this subject.

-- 
HLS